Name:          ytnef
Version:       2.1.1
Release:       1mamba
Summary:       Yeraze's TNEF Stream Reader - for winmail.dat files 
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Yeraze/ytnef
Source:        https://github.com/Yeraze/ytnef.git/v%{version}/ytnef-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-MIME-Tools
BuildRequires: perl-Mail-Tools
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Yeraze's TNEF Stream Reader - for winmail.dat files .

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libytnef.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/mapi.h
%{_includedir}/mapidefs.h
%{_includedir}/mapitags.h
%{_includedir}/tnef-errors.h
%{_includedir}/tnef-types.h
%{_includedir}/ytnef.h
%{_libdir}/libytnef.a
%{_libdir}/libytnef.so
%{_libdir}/pkgconfig/libytnef.pc
%doc ChangeLog README.md

%changelog
* Sat Apr 29 2023 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Tue Sep 21 2021 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.3-1mamba
- package created using the webbuild interface
